# Copyright (c) 2018 Daniel Knüttel                                    #
#                                                                      #
# This file is part of mathbot.                                        #
#                                                                      #
# mathbot is free software: you can redistribute it and/or modify      #
# it under the terms of the GNU General Public License as published by #
# the Free Software Foundation, either version 3 of the License, or    #
# (at your option) any later version.                                  #
#                                                                      #
# mathbot is distributed in the hope that it will be useful,           #
# but WITHOUT ANY WARRANTY; without even the implied warranty of       #
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        #
# GNU General Public License for more details.                         #
#                                                                      #
# You should have received a copy of the GNU General Public License    #
# along with mathbot.  If not, see <http://www.gnu.org/licenses/>.     #
#                                                                      #

from telegram.ext import Updater, CommandHandler, RegexHandler
from . import bot


def main(api_token):
	updater = Updater(api_token)

	dispatcher = updater.dispatcher

	dispatcher.add_handler(CommandHandler("help", bot.help))
	dispatcher.add_handler(CommandHandler("rmath", bot.render_math))
	dispatcher.add_handler(CommandHandler("rcmath", bot.render_math_caption))
	dispatcher.add_handler(CommandHandler("rsmath", bot.substitute_render_math))
	dispatcher.add_handler(CommandHandler("rscmath", bot.substitute_render_math_caption))

	updater.start_polling()

	updater.idle()
