# Copyright (c) 2018 Daniel Knüttel                                    #
#                                                                      #
# This file is part of mathbot.                                        #
#                                                                      #
# mathbot is free software: you can redistribute it and/or modify      #
# it under the terms of the GNU General Public License as published by #
# the Free Software Foundation, either version 3 of the License, or    #
# (at your option) any later version.                                  #
#                                                                      #
# mathbot is distributed in the hope that it will be useful,           #
# but WITHOUT ANY WARRANTY; without even the implied warranty of       #
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        #
# GNU General Public License for more details.                         #
#                                                                      #
# You should have received a copy of the GNU General Public License    #
# along with mathbot.  If not, see <http://www.gnu.org/licenses/>.     #
#                                                                      #

from io import BytesIO
import matplotlib
matplotlib.use("Agg")
import matplotlib.pyplot as plt
import importlib


def get_png(tex):
	importlib.reload(plt)
	buf = BytesIO()

	exc = None

	try:
		plt.subplot()

		plt.text(0, 0.6, r"$%s$" % tex, fontsize = 50)
		fig = plt.gca()                                                                 
		fig.axes.get_xaxis().set_visible(False)                                         
		fig.axes.get_yaxis().set_visible(False)

		plt.savefig(buf)

		buf.seek(0)

	except Exception as e:
		exc = e
	finally:
		plt.clf()

	if(exc):
		raise exc

	return buf

